//- mixin input (type, id, value, placeholder, name)
//-   - if (typeof(value) == 'undifined') value = id
//-   input(type = type, id=id,  value = value,  name=id, placeholder = placeholder)
mixin form(items)
	form('method'='post','action'='/')&attributes(attributes)
		each item in items
			+input(item)

mixin input(item)
	if(typeof(item.label)!='undefined')
		label('for'=item.id) #{item.label}
	input&attributes(
		{'type':item.type,
		'placeholder': item.placeholder,
		'title': item.value,
		'value': item.value,
		'id': typeof(item.id) == 'undefined'? '':item.id
	})
